export default {
    version: "3.0.0-beta.1",
    steps: [
        {
            titleIcon: "fa fa-map-o",
            title: {
                "en-US": "Welcome to Node-RED 3.0 Beta 1!",
                "ja": "Node-RED 3.0 Beta 1へようこそ!"
            },
            description: {
                "en-US": "<p>This is the first Beta release of Node-RED 3.0. It contains just about everything we have planned for the final release.</p><p>Let's take a moment to discover the new features in this release.</p>",
                "ja": "本リリースの新機能を見つけてみましょう。"
            }
        },
        {
            title: {
                "en-US": "Wire Junctions",
                // "ja": ""
            },
            image: 'images/junction-slice.gif',
            description: {
                "en-US": `<p>To make it easier to route wires around your flows, it is now possible to
                             add junction nodes that give you more control.</p>
                          <p>Junctions can be added to wires by holding the Shift key, then click and drag with
                          the right-hand mouse button across the wires.</p>`,
                // "ja": ""
            },
        },
        {
            title: {
                "en-US": "Wire Junctions",
                // "ja": ""
            },
            image: 'images/junction-quick-add.png',
            description: {
                "en-US": `<p>Junctions can also be added using the quick-add dialog.</p>
                          <p>The dialog is opened by holding the Ctrl (or Cmd) key when
                             clicking in the workspace.</p>`,
                // "ja": ""
            },
        },
        {
            title: {
                "en-US": "Debug Path Tooltip",
                // "ja": ""
            },
            image: 'images/debug-path-tooltip.png',
            description: {
                "en-US": `<p>When hovering over a node name in the Debug sidebar, a
                             new tooltip shows the full location of the node.</p>
                          <p>This is useful when working with subflows, making it
                             much easier to identify exactly which node generated
                             the message.</p>
                          <p>Clicking on any item in the list will reveal it in
                             the workspace.</p>`,
                // "ja": ""
            },
        },
        {
            title: {
                "en-US": "Continuous Search",
                // "ja": ""
            },
            image: 'images/continuous-search.png',
            description: {
                "en-US": `<p>When searching for things in the editor, a new toolbar in
                             the workspace provides options to quickly jump between
                             the search results.</p>`,
                // "ja": ""
            },
        },
        {
            title: {
                "en-US": "New wiring actions",
                "ja": "新しいワイヤー操作"
            },
            image: "images/split-wire-with-links.gif",
            description: {
                "en-US": `<p>A new action has been added that will replace a wire with a pair of connected Link nodes:</p>
                          <ul>
                          <li><b><code>Split Wire With Link Nodes</code></b></li>
                          </ul>
                          <p>Actions can be accessed from the Action List in the main menu.</p>`,
                // "ja": ``
            },
        },
        {
            title: {
                "en-US": "Default node names",
                // "ja": ""
            },
            // image: "images/",
            description: {
                "en-US": `<p>Some nodes have been updated to generate a unique name when
                             new instances are added to the workspace. This applies to
                             <code>Debug</code>, <code>Function</code> and <code>Link</code> nodes.</p>
                          <p>A new action has also been added to generate default names for the selected
                             nodes:</p>
                             <ul>
                             <li><b><code>Generate Node Names</code></b></li>
                             </ul><p>Actions can be accessed from the Action List in the main menu.</p>
                            `,
                // "ja": ``
            }
        },
        {
            title: {
                "en-US": "Node Updates",
                "ja": "ノードの更新"
            },
            // image: "images/",
            description: {
                "en-US": `<ul>
                            <li>The Debug node can be configured to count messages it receives</li>
                            <li>The Link Call node can use a message property to dynamically target the link it should call</li>
                            <li>The HTTP Request node can be preconfigured with HTTP headers</li>
                          </ul>`,
                // "ja": ``
            }
        }
    ]
}
